-- ************************************************
-- ********** AFTER ITEM TRANSFER EVENT ***********
-- ************************************************

-- EVENT REGISTERED ONLY IF MOD TURNS IT ON FIRST
local OnAfterItemTransferInitiated = false

if EggonsMU then
    EggonsMU.config.enableAfterItemTransferEvent = function()
        if not OnAfterItemTransferInitiated then
            OnAfterItemTransferInitiated = true
            -- REGISTER NEW EVENT
            print("Registering OnAfterItemTransfer")
            LuaEventManager.AddEvent("OnAfterItemTransfer")

            -- STORE VANILLA TRANSFER FUNCTION IN NEW VARIABLE
            ISInventoryTransferAction.EMU_Store_perform = ISInventoryTransferAction.perform

            -- OVERWRITE THE VANILLA FUNCTION WITH INTERCEPTOR
            function ISInventoryTransferAction:perform()
                self:EMU_Store_perform()
                -- print("OnAfterItemTransfer triggered")
                if not self.hasBeenCancelled then -- prevents from triggering if cancelled by the BeforeItemTransfer
                    triggerEvent(
                        "OnAfterItemTransfer",
                        self.character,
                        self.item,
                        self.srcContainer,
                        self.destContainer
                    )
                end
            end
        end
    end
else
    print("ERROR! EggonsMU not present!")
end
