-- ************************************************
-- ********** HOTBAR ITEM UNATTACH EVENT **********
-- ************************************************

-- EVENT REGISTERED ONLY IF MOD TURNS IT ON FIRST
local OnHotbarItemUnattachInitiated = false

if EggonsMU then
    EggonsMU.config.enableHotbarItemUnattachEvent = function()
        if not OnHotbarItemUnattachInitiated then -- prevent multiple registrations
            OnHotbarItemUnattachInitiated = true
            -- REGISTER NEW EVENT
            print("Registering OnHotbarItemUnattach")
            LuaEventManager.AddEvent("OnHotbarItemUnattach")

            -- STORE VANILLA TRANSFER FUNCTION IN NEW VARIABLE
            ISHotbar.EMU_Store_removeItem = ISHotbar.removeItem

            -- OVERWRITE THE VANILLA FUNCTION WITH INTERCEPTOR
            function ISHotbar:removeItem(item)
                -- print("OnHotbarItemUnattach triggered")
                triggerEvent("OnHotbarItemUnattach", item)
                self:EMU_Store_removeItem(item)
            end
        end
    end
else
    print("ERROR! EggonsMU not present!")
end
