local function isFloor(container)
    return container:getType() == "floor"
end

local function isKeyRing(container)
    return container:getType() == "KeyRing"
end
local function isMainInventory(container)
    return container:getType() == "none"
end

EggonsMU.functions.getBackPack = function()
    local backpack = getPlayer(0):getClothingItem_Back()
    if backpack then
        return backpack:getItemContainer()
    else
        return nil
    end
end

EggonsMU.functions.getBackPackItems = function()
    local backpack = getPlayer(0):getClothingItem_Back()
    if backpack then
        return backpack:getItemContainer():getItems()
    else
        return nil
    end
end

-- local function getCarriedContainers()
--     local backpacks = getPlayerInventory(0).backpacks
--     local output = {}
--     for i, carriedContainer in ipairs(backpacks) do
--         if carriedContainer.inventory:getType() ~= "KeyRing" then
--             table.insert(output, carriedContainer)
--         end
--     end
--     return output
-- end
EggonsMU.functions.getCarriedContainers = getCarriedContainers

EggonsMU.functions.getHotbarItems = function()
    return getPlayerHotbar(0).attachedItems
end

EggonsMU.functions.isEquippedPrimary = function(item)
    local player = getPlayer(0)
    local output
    if not item then
        output = false
    else
        output = player:getPrimaryHandItem() == item
    end
    return output
end

EggonsMU.functions.getMainInventory = function()
    local playerContainers = getPlayerInventory(0).backpacks
    local output
    for i, container in ipairs(playerContainers) do
        if container.inventory:getType() == "none" then
            output = container
            break
        end
    end
    return output
end

local function performActionOnItems(itemsList, actionFunction)
    for i, item in pairs(itemsList) do
        actionFunction(item)
    end
end
EggonsMU.functions.performActionOnItems = performActionOnItems

-- EggonsMU.functions.getInventory = function()
-- end

EggonsMU.functions.getItemsInHotbar = function()
    return getPlayerHotbar(0).attachedItems
end

EggonsMU.functions.getWornItems = function()
    return getPlayerHotbar(0).wornItems
end

-- EggonsMU.pseudoInventory = function()
--     local player = getPlayer()
--     return player:getInventory() -- to zwraca mix - polaczony array clothingItems, inventoryContainers i handWeapons
-- end
